ModMap = {} 
local ModMap_mt = Class(ModMap, Mission00)

function ModMap:new(baseDirectory, customMt, missionCollaborators)
    local mt = customMt
    if mt == nil then
        mt = ModMap_mt
    end
    local self = ModMap:superClass():new(baseDirectory, mt, missionCollaborators)


    local numAdditionalAngleChannels = 3

    self.terrainDetailAngleNumChannels = self.terrainDetailAngleNumChannels + numAdditionalAngleChannels;
    self.terrainDetailAngleMaxValue = (2^self.terrainDetailAngleNumChannels) - 1;

    self.sprayLevelFirstChannel = self.sprayLevelFirstChannel + numAdditionalAngleChannels;
    self.plowCounterFirstChannel = self.plowCounterFirstChannel + numAdditionalAngleChannels;
    self.limeCounterFirstChannel = self.limeCounterFirstChannel + numAdditionalAngleChannels;
	
	self.terrainDetailHeightTypeNumChannels = self.terrainDetailHeightTypeNumChannels + 2;


    return self
end
function ModMap:loadMission00Finished()
   if (not self.missionInfo.isValid) and self.missionDynamicInfo.isMultiplayer then
      local modDesc = loadXMLFile("modDesc", self.baseDirectory .. "modDesc.xml")
      local key = "modDesc.maps.map#defaultItemsMPXMLFilename"
      if not hasXMLProperty(modDesc, key) then
         print("ERROR : xmlKey 'defaultItemsMPXMLFilename' not found! ")
      elseif hasXMLProperty(modDesc, key) then
         print("SUCCESS : Multiplayer Items loaded! ")   
      end
      self.missionInfo.itemsXMLLoad  = Utils.getFilename(getXMLString(modDesc, key), self.baseDirectory)

      key = "modDesc.maps.map#defaultVehiclesMPXMLFilename"
      if not hasXMLProperty(modDesc, key) then
         print("ERROR : xmlKey 'defaultVehiclesMPXMLFilename' not found! ")
      elseif hasXMLProperty(modDesc, key) then
         print("SUCCESS : Multiplayer VehicleItems loaded! ")	
      end;
      self.missionInfo.vehiclesXMLLoad  = Utils.getFilename(getXMLString(modDesc, key), self.baseDirectory)
   end
   ModMap:superClass().loadMission00Finished(self)
end